Bug 771880 - language switch to english
Summary: language switch to english
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Thunar
Version: 16
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-05 10:07 UTC by SilvioTO
Modified: 2013-02-13 15:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 15:51:33 UTC
Type: ---


Attachments (Terms of Use)

Description SilvioTO 2012-01-05 10:07:20 UTC
Description of problem:

I made a fresh installation of Fedora 16 xfce spin on my desktop (x86_64) and laptop (i686) with respective live dvd's and in both pc I set the system language to italian, after the installation process using "Administration -> Language" link in the menu.
All applications, thunar (only the first launch) and xfce menu are correctly translated at login, but opening thunar more than once time it switch to english.
If I logout and login again (or reboot pc) thunar is in italian again, only for the first launch. Closing it and reopening lost italian translation, and show menus and popups in english.
The rest of system and application remain in italian.


Version-Release number of selected component (if applicable): 1.3.0-4.fc16


How reproducible:

Install Fedora 16 xfce spin live dvd selecting another language than english.


Steps to Reproduce:
1. Start your pc with Fedora 16 xfce spin live dvd in.
2. double clic on install icon and follow the procedure, selecting italian (or another language), for the locale.
3. At the end of installation process, reboot the system.
4. Go to main menu -> administration -> language and select italian (or another language).
5. Accept system request for package installation for additional language.
6. Reboot the system.
7. Double clic on file manager or location icon (home or file system, for example).
8. Close file manager window and open it again as a step 7.
  

Additional info:

I opened a discussion here:
http://forums.fedoraforum.org/showthread.php?p=1544011#post1544011

Comment 1 Christoph Wickert 2012-01-05 10:21:41 UTC
Please give us the output of these commands:

$ cat /etc/sysconfig/i18n
$ locale

Both should be run as a user, not as root.

Comment 2 SilvioTO 2012-01-05 10:44:48 UTC
$ cat /etc/sysconfig/i18n
LANG="it_IT.UTF-8"
SYSFONT="latarcyrheb-sun16"


$ locale
LANG=it_IT.UTF-8
LC_CTYPE="it_IT.UTF-8"
LC_NUMERIC="it_IT.UTF-8"
LC_TIME="it_IT.UTF-8"
LC_COLLATE="it_IT.UTF-8"
LC_MONETARY="it_IT.UTF-8"
LC_MESSAGES="it_IT.UTF-8"
LC_PAPER="it_IT.UTF-8"
LC_NAME="it_IT.UTF-8"
LC_ADDRESS="it_IT.UTF-8"
LC_TELEPHONE="it_IT.UTF-8"
LC_MEASUREMENT="it_IT.UTF-8"
LC_IDENTIFICATION="it_IT.UTF-8"
LC_ALL=

Comment 3 Christoph Wickert 2012-01-05 17:14:04 UTC
ok, and Thunar is still English?

Please test if it's still English
- if you log in from a terminal in runlevel 3 and start Xfce with the "startxfce4" command
- if the same happens to a freshly created user account.

Comment 4 SilvioTO 2012-01-05 18:00:06 UTC
Thunar is still in english, after commands cat and locale, from command line or launch icon.

I created a new user and login with this, but thunar is unusable, it freeze continuously, the folders don't open and a busy message show up (stand for message bus service).
Despite of freeze's, the language remain in italian.

I don't be able to start fedora 16 in runlevel 3, only in recovery mode with old kernel. Trying to launch "startxfce4" in recovery mode as root fail.

Comment 5 Fedora End Of Life 2013-01-16 14:36:31 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora End Of Life 2013-02-13 15:51:36 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.